---
title: Provides the available mappings of the batch file using Id.
slug: api-documentation/provides-the-available-mappings-of-the-batch-file-using-id
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "TWNBGyaGeboWQPoQe9jpD",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping"
      }
    ],
    "name": "Provides the available mappings of the batch file using Id.",
    "description": "<p>This endpoint provides the available headers and mappings of each sheet in batch file, information returned in this endpoint will be mostly useful for the front end to render UI to get mappings from the user.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Mappings are returned successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "AttributesBatchMappingsResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/AttributesBatchMappingsResponse.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "kVm34fhRmSKEm72wH-siu",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ZtZTX-X6I8_rZRFy2XE3H",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "kz926rguEzc5i0m2yb7Cc",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "V2JnWfHMhDCa0x5yvif6U",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/attributes/{id}/mapping\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "kVm34fhRmSKEm72wH-siu"
    },
    "results": {
      "languages": [
        {
          "id": "wwnRjBhSJRXvvx1ORdlqX",
          "language": "200",
          "code": "// Mappings are returned successfully.\n{}"
        }
      ],
      "selectedLanguageId": "wwnRjBhSJRXvvx1ORdlqX"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}